/*
 # ---------------------------------------------------------------------
 #
 # Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
 #                        pour la SantÈ)
 # Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
 # Previous Authors : Laurent Guigues, Jean-Pierre Roux
 # CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
 #
 #  This software is governed by the CeCILL-B license under French law and
 #  abiding by the rules of distribution of free software. You can  use,
 #  modify and/ or redistribute the software under the terms of the CeCILL-B
 #  license as circulated by CEA, CNRS and INRIA at the following URL
 #  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
 #  or in the file LICENSE.txt.
 #
 #  As a counterpart to the access to the source code and  rights to copy,
 #  modify and redistribute granted by the license, users are provided only
 #  with a limited warranty  and the software's author,  the holder of the
 #  economic rights,  and the successive licensors  have only  limited
 #  liability.
 #
 #  The fact that you are presently reading this means that you have had
 #  knowledge of the CeCILL-B license and that you accept its terms.
 # ------------------------------------------------------------------------ */


/*=========================================================================
  Program:   bbtk
  Module:    $RCSfile: bbvtkPiecewiseFunction.h,v $
  Language:  C++
  Date:      $Date: 2012/11/16 08:51:58 $
  Version:   $Revision: 1.3 $
=========================================================================*/


/**
 * \brief Short description in one line
 * 
 * Long description which 
 * can span multiple lines
 */
/**
 * \file 
 * \brief Pattern for the definition of a new type of Node (header)
 */
/**
 * \class bbtk::NodePatern 
 * \brief Pattern for the definition of a new type of Node 
 */


#ifdef _USE_VTK_


#ifndef __bbvtkPiecewiseFunction_h_INCLUDED__
#define __bbvtkPiecewiseFunction_h_INCLUDED__


#include "bbtkAtomicBlackBox.h"

#include "vtkPiecewiseFunction.h"

#include "bbvtk_EXPORT.h"

namespace bbvtk
{


  
  class bbvtk_EXPORT PiecewiseFunction : public bbtk::AtomicBlackBox
  { 
  public:
    BBTK_BLACK_BOX_INTERFACE(PiecewiseFunction,bbtk::AtomicBlackBox);

    BBTK_DECLARE_INPUT(X,std::vector<float>);
    BBTK_DECLARE_INPUT(Y,std::vector<float>);
    BBTK_DECLARE_OUTPUT(Out,vtkPiecewiseFunction*);
    BBTK_PROCESS(Process);
    void Process();
    
  protected:
  };
   
  //=================================================================
  // UserBlackBox description
  BBTK_BEGIN_DESCRIBE_BLACK_BOX(PiecewiseFunction,bbtk::AtomicBlackBox);
  BBTK_NAME("PiecewiseFunction");
  BBTK_AUTHOR("laurent.guigues@creatis.insa-lyon.fr");
  BBTK_DESCRIPTION("Creates a piecewise function");
  BBTK_CATEGORY("misc");
  BBTK_INPUT(PiecewiseFunction,X,"X coords of the points of the function",
	     std::vector<float>,"");
  BBTK_INPUT(PiecewiseFunction,Y,"Y coords of the points of the function",
	     std::vector<float>,"");
  BBTK_OUTPUT(PiecewiseFunction,Out,"The piecewise function created",
	      vtkPiecewiseFunction*,"");
  BBTK_END_DESCRIBE_BLACK_BOX(PiecewiseFunction);
  //=================================================================


}//namespace bbvtk

#endif  //__bbtvtkPiecewiseFunction_h__

#endif //_USE_VTK_

